Bug 205086 - [patch] update security/clamav to 0.99
Summary: [patch] update security/clamav to 0.99
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-07 12:04 UTC by Marko Cupać
Modified: 2015-12-11 01:09 UTC (History)
1 user (show)

See Also:
zi: maintainer-feedback+


Attachments
update to 0.99 (2.57 KB, text/plain)
2015-12-10 20:26 UTC, Ryan Steinmetz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Cupać 2015-12-07 12:04:56 UTC
According to clamav's download page, the latest stable release is 0.99.0:
http://www.clamav.net/downloads

I know it is only 7 days since its release and I'm not trying to rush anything, just politely asking is there any information about when can we expect it to hit ports :)

Also, I noticed that freshclam "don't panic" message points to nonexistent page:
DON'T PANIC! Read http://www.clamav.net/support/faq

Regards,
Comment 1 Ryan Steinmetz freebsd_committer freebsd_triage 2015-12-10 20:26:01 UTC
Created attachment 164088 [details]
update to 0.99
Comment 2 Renato Botelho freebsd_committer 2015-12-10 20:41:12 UTC
The update looks OK, but, as you noted, clamav libraries version bumped from 6 to 7, what means API/ABI has changed.

Before upgrade clamav to new version, all ports that depend of libclamav must be rebuilt and PORTREVISION bumped.
Comment 3 commit-hook freebsd_committer 2015-12-11 01:07:43 UTC
A commit references this bug:

Author: zi
Date: Fri Dec 11 01:07:07 UTC 2015
New revision: 403480
URL: https://svnweb.freebsd.org/changeset/ports/403480

Log:
  - Update to 0.99

  PR:		205086
  Submitted by:	me
  Reviewed by:	garga@ (maintainer)
  Approved by:	garga@ (maintainer)

Changes:
  head/security/clamav/Makefile
  head/security/clamav/distinfo
  head/security/clamav/pkg-plist
Comment 4 commit-hook freebsd_committer 2015-12-11 01:08:45 UTC
A commit references this bug:

Author: zi
Date: Fri Dec 11 01:08:10 UTC 2015
New revision: 403481
URL: https://svnweb.freebsd.org/changeset/ports/403481

Log:
  - Bump PORTREVISION after security/clamav update

  PR:		205086
  Submitted by:	me

Changes:
  head/mail/mimedefang/Makefile
  head/mail/p5-Clamd/Makefile
  head/mail/p5-Mail-ClamAV/Makefile
  head/mail/qsheff/Makefile
  head/mail/simscan/Makefile
  head/security/clamassassin/Makefile
  head/security/clamcour/Makefile
  head/security/p5-File-Scan-ClamAV/Makefile
  head/security/py-clamav/Makefile
  head/security/razorback-clamavNugget/Makefile
  head/www/c-icap-modules/Makefile
  head/www/gurlchecker/Makefile
  head/www/havp/Makefile
  head/www/mod_clamav/Makefile
Comment 5 Ryan Steinmetz freebsd_committer freebsd_triage 2015-12-11 01:09:44 UTC
Committed.